﻿Type=Class
Version=3.71
ModulesStructureVersion=1
B4J=true
@EndOfDesignText@
'Class module
Sub Class_Globals
	Private fx As JFX
	Private udpsock As UDPSocket
	Private sockServer As ServerSocket 'ignore
	Private serializator As B4XSerializator
	Private bc As ByteConverter
	Private const port As Int = 54323
End Sub

Public Sub Initialize
	udpsock.Initialize("udpsock", port, 8192)
	ShowIp
End Sub

Public Sub ShowIp
	Main.ShowNotification($"IP address: ${sockServer.GetMyIP}
Make sure that the following port is open in the firewall (UDP): ${udpsock.Port}"$, False)
End Sub

Sub udpsock_PacketArrived (Packet As UDPPacket)
	Try
		Dim data() As Byte = Packet.Data
		If Packet.Data.Length > Packet.Length Then
			Dim data(Packet.Length) As Byte
			bc.ArrayCopy(Packet.Data, 0, data, 0, Packet.Length)
		End If
		Dim rc As RemoteCommand = serializator.ConvertBytesToObject(data)
		Main.Handler.HandleCommand(rc)
	Catch
		Log(LastException)
	End Try
End Sub
